package persistent.counter.impl;

import org.globus.wsrf.ResourceKey;
import org.globus.wsrf.impl.ResourceHomeImpl;
import org.globus.wsrf.impl.SimpleResourceKey;

public class CounterHome extends ResourceHomeImpl {

    /* Creates a new counter WS-Resource. Called by service when factory
       operation is invoked. */    
    public ResourceKey create() throws Exception {
        // Create new resource        
        CounterResource counter = new CounterResource();
        counter.initialize();

        // Create an identifier for the resource (used in EPR to identify the
        // resource-part of the WS-Resource)
        ResourceKey key = new SimpleResourceKey(
            getKeyTypeName(), counter.getID()
        );

        // Add the resource to the home's resource collection        
        add(key, counter);
        return key;        
    }
}
